Get paid balance

This request retrieves the paid balance of a loan between a specified date range.

   Click here to learn more about this request

This request is used to retrieve a breakdown of the amount paid on an account between a specified date range, and it is a useful tool when embedded within your own borrower portal or app. Note the following when using this request:

The response of this request includes total amounts for the following information:

  1. Payment amount
  2. Discount
  3. Escrow
  4. Fees
  5. Interest
  6. Principal

This request uses a payload body to determine a date range. Either YYYY-MM-DD or datetime formats can be used to determine a date range.

The response of this request returns "startDate" and "endDate" information in a Unix format. For more information, read our guide on Dates and Times

Database

For information regarding loan and payment database tables, see the following articles:

Database – Loan Table (loan_entity)

Database – Payments (payment_entity)

Database – Loan Status Entity (loan_status_entity)

{
    "startDate": "2022-01-01 07:00:00",
    "endDate": "2023-08-01 06:59:59"
}
Path Params
int32
required

The ID of the loan.

Body Params
date
required

The start date of the date range.
> This field can be formatted as either YYYY-MM-DD hh:mm:ss or YYYY-MM-DD.

date
required

The end date of the date range.
> This field can be formatted as either YYYY-MM-DD hh:mm:ss or YYYY-MM-DD.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json